#!/bin/sh

#####################################################################
# COPYRIGHT_COMMENTS_BEGIN
# Licensed Materials - Property of IBM
# 5724-I01
# (C) Copyright IBM Corp. 2004.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# COPYRIGHT_COMMENTS_END
#####################################################################

ARGS=$*

PLATFORM=`/bin/uname`
ARCH=`/bin/uname -m`
case $PLATFORM in

  AIX)

    SETUPAC=setupACAix;;

  Linux)

    case $ARCH in

      i386)

        SETUPAC=setupACLinux;;

      i486)

        SETUPAC=setupACLinux;;

      i586)

        SETUPAC=setupACLinux;;
      
      i686)

        SETUPAC=setupACLinux;;
  
      ppc64)
 
        SETUPAC=setupACLnxPPC;;

      *)

        echo Error: Architecture $ARCH not supported
        exit 1;;
 
    esac;;

  SunOS)

    SETUPAC=setupACSolaris;;

  *)

    echo Error: Platform $PLATFORM not supported
    exit 1;;

esac


if [ ! -r ./$SETUPAC ] ; then
  SETUPAC=setupAC
fi


echo Running $SETUPAC ...

if [ -r $ISC_HOME/AdminCenter.rsp ] ; then
  ./$SETUPAC -options $ISC_HOME/AdminCenter.rsp $ARGS
else
  ./$SETUPAC $ARGS
fi
